Pools

Public scene pools for community sharing

Get all pools

get
/pools

Returns all public scene pools with filtering and pagination

Query parameters
eth_addressstringOptional
groupstringOptional
sort_bystringOptional

Field to sort by

sort_orderstring · enumOptional

Sort order

Possible values:
limitinteger · min: 1 · max: 100Optional

Number of items per page

Default: 20
offsetintegerOptional

Offset for pagination

Responses
chevron-right
200

List of pools

application/json
get
/pools
200

List of pools

Get a pool

get
/projects/{id}/pool

Returns a pool by project ID

Path parameters
idstring · uuidRequired

Project UUID

Responses
chevron-right
200

Pool details

application/json
get
/projects/{id}/pool
200

Pool details

Create or update a pool

put
/projects/{id}/pool

Creates a pool from a project or updates an existing pool

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Project UUID

Body
groupsstring · uuid[]Optional
Responses
chevron-right
200

Pool created/updated successfully

No content

put
/projects/{id}/pool

No content

Last updated